{
    "scan": {
        "analyzer-version-clippy": "1.81.0",
        "analyzer-version-cppcheck": "2.15.0",
        "analyzer-version-gcc": "14.2.1",
        "analyzer-version-gcc-analyzer": "14.2.1",
        "analyzer-version-shellcheck": "0.10.0",
        "analyzer-version-unicontrol": "0.0.2",
        "enabled-plugins": "clippy, cppcheck, gcc, shellcheck, unicontrol",
        "exit-code": 0,
        "host": "ip-172-16-1-14.us-west-2.compute.internal",
        "mock-config": "fedora-rawhide-x86_64",
        "project-name": "anaconda-webui-15-1.20240913180126589219.pr428.6.g2279d27",
        "store-results-to": "/tmp/tmpp_t94frt/anaconda-webui-15-1.20240913180126589219.pr428.6.g2279d27.tar.xz",
        "time-created": "2024-09-13 18:10:02",
        "time-finished": "2024-09-13 18:11:02",
        "tool": "csmock",
        "tool-args": "'/usr/bin/csmock' '-r' 'fedora-rawhide-x86_64' '-t' 'cppcheck,unicontrol,gcc,clippy,shellcheck' '-o' '/tmp/tmpp_t94frt/anaconda-webui-15-1.20240913180126589219.pr428.6.g2279d27.tar.xz' '--gcc-analyze' '--unicontrol-notests' '--unicontrol-bidi-only' '/tmp/tmpp_t94frt/anaconda-webui-15-1.20240913180126589219.pr428.6.g2279d27.src.rpm'",
        "tool-version": "csmock-3.7.0-1.el9"
    },
    "defects": [
        {
            "checker": "UNICONTROL_WARNING",
            "cwe": 94,
            "tool": "unicontrol",
            "hash_v1": "d50484b4e2be2168bd2c5e0d8861f3344011afd1",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "anaconda-webui-15-build/anaconda-webui/po/ar.po",
                    "line": 1284,
                    "event": "warning",
                    "message": "bidirectional control characters: ['\\u202a', '\\u202a']",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1282|   #~ \"\\n\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1283|   #~ \"تحذير! خادوم VNC يعمل بدون كلمة مرور!\\n\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1284|-> #~ \"يمكنك استعمال خيار الإقلاع ‪“inst.vncpassword‪=كلمة_مرور”\\n\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1285|   #~ \"إذا أردت تأمين الخادوم.\\n\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 1286|   #~ \"\\n\"",
                    "verbosity_level": 1
                }
            ]
        },
        {
            "checker": "UNICONTROL_WARNING",
            "cwe": 94,
            "tool": "unicontrol",
            "hash_v1": "d39c74eb9773192ec0a70678188b1ffbe950576b",
            "key_event_idx": 0,
            "events": [
                {
                    "file_name": "anaconda-webui-15-build/anaconda-webui/po/ar.po",
                    "line": 2905,
                    "event": "warning",
                    "message": "bidirectional control characters: ['\\u202b']",
                    "verbosity_level": 0
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2903|   #, fuzzy, python-brace-format",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2904|   #~ msgid \"NVDIMM device {namespace}\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2905|-> #~ msgstr \"جهاز NVDIMM ‫{namespace}\"",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2906|   ",
                    "verbosity_level": 1
                },
                {
                    "file_name": "",
                    "line": 0,
                    "event": "#",
                    "message": " 2907|   #~ msgctxt \"GUI|Software Source\"",
                    "verbosity_level": 1
                }
            ]
        }
    ]
}
